Name: relaxngcc
Version: 1.12
Release: %mkrel 11
Group:   Development/Java
Summary: RELAX NG Compiler Compiler

License: ASL 1.1

Url: http://relaxngcc.sourceforge.net/en/index.htm

Source0: http://prdownloads.sourceforge.net/relaxngcc/relaxngcc-20031218.zip
Source1: %{name}-build.xml

BuildRequires: ant
BuildRequires: javacc
BuildRequires: jpackage-utils
BuildRequires: java-devel
BuildRequires: msv-msv
BuildRequires: msv-xsdlib
BuildRequires: relaxngDatatype
BuildRequires: isorelax
BuildRequires: xerces-j2
BuildRequires: xml-commons-apis
BuildRequires: dos2unix

Requires: msv-msv
Requires: msv-xsdlib
Requires: relaxngDatatype
Requires: isorelax
Requires: xerces-j2
Requires: xml-commons-apis

BuildArch: noarch


%description
RelaxNGCC is a tool for generating Java source code from a given RELAX NG
grammar. By embedding code fragments in the grammar like yacc or JavaCC, you can
take appropriate actions while parsing valid XML documents against the grammar.


%package javadoc
Summary: Javadoc for %{name}


%description javadoc
This package contains javadoc for %{name}.


%prep

# Prepare the original sources:
%setup -q -n relaxngcc-20031218

# Remove all the binary files:
find . -name '*.class' -delete
find . -name '*.jar' -delete

# Remove the sources that will be generated with JavaCC:
rm src/relaxngcc/javabody/*.java

# Remove to avoid dependency on commons-jelly:
rm src/relaxngcc/maven/ChildAntProjectTag.java

# Some of the sources don't use the correct end of line encoding, so to be
# conservative fix all of them:
find . -type f -exec dos2unix {} \;

# Some of the source files contain characters outside of the ASCII set that
# cause problems when compiling, so make sure that they are translated to
# ASCCI:
sources='
src/relaxngcc/builder/SwitchBlockInfo.java
'
for source in ${sources}
do
  native2ascii -encoding UTF8 ${source} ${source}
done


%build

# Populate the lib directory with references to the jar files required for the
# build:
mkdir lib
build-jar-repository -p lib \
  msv-msv msv-xsdlib relaxngDatatype isorelax javacc

# Put the ant build files in place:
cp %{SOURCE1} build.xml

# Run the ant build:
ant jar javadoc


%install

# Jar files:
mkdir -p %{buildroot}%{_javadir}
install -pm 644 relaxngcc.jar %{buildroot}%{_javadir}/%{name}.jar

# Javadoc files:
mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr javadoc/* %{buildroot}%{_javadocdir}/%{name}/.


%files
%{_javadir}/*
%doc src/HOWTO-readAutomata.txt LICENSE.txt readme.txt
%doc doc/*


%files javadoc
%{_javadocdir}/*
%doc LICENSE.txt



%changelog
* Fri Feb 26 2016 neoclust <neoclust> 1.12-11.mga6
+ Revision: 979458
- First rebuild of the java stack
- sync package relaxngcc with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Sun Jan 11 2015 daviddavid <daviddavid> 1.12-9.mga5
+ Revision: 809979
- Sync with OpenMandriva (fix build with isorelax)
- fix Group

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.12-6.mga4
+ Revision: 518076
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.12-5.mga3
+ Revision: 380306
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 09 2012 dmorgan <dmorgan> 1.12-4.mga3
+ Revision: 291279
- Use fedora spec file layout

* Thu Jan 12 2012 gil <gil> 1.12-2.mga2
+ Revision: 195248
- edit build script
- removed common-jelly support
  rebuilt after boostrap
- imported package relaxngcc

  + dmorgan <dmorgan>
    - Fix groups
    - Clean spec file


* Sun Jul 03 2011 gil <gil> 1.12-0.%%mkrel
- initial rpm